%define name	ami
%define ver	1.2.2
%define rel 	6.EL.1
%define hwdver  19991115
%define gnome_ami 0

Summary: Ami- a Korean Imput Method System
Name: %{name}
Version: %{ver}
Release: %{rel}.XOS.1
License: GPL
URL: http://www.kr.freebsd.org/~hwang/ami/index.html

Source: http://www.kr.freebsd.org/~hwang/ami/ami-%{ver}.tar.gz
Source1: http://www.kr.freebsd.org/~hwang/ami/hanja.dic.gz
Source2: http://adam.kaist.ac.kr/~cwryu/archive/misc/hanja-words-%{hwdver}.tar.gz
Source3: ami-1.0.7-engpix.tar.gz
Patch0: ami-1.0.11-nostatus.patch
Patch1: ami-1.2.2-3-selecthanja.patch 

### included for U8
Patch2: ami-1.2.2-3-close-hanja-win.patch
# ami-1.2.2-bigendian64.patch in IT#73605 is the superset of ami-1.2.2-iconv.patch
# Patch3: ami-1.2.2-iconv.patch
Patch4: ami-1.2.2-keyevent.patch
Patch5: ami-1.2.2-bigendian64.patch
#Patch6: ami-1.2.2-wireevent2.patch
#Patch7: ami-1.2.2-LTC16789.patch
# Patch 8 created from Patch 7 after applying all previous patch
Patch8: ami-1.2.2-z64-XIMClient.patch

Group: User Interface/X
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: gnome-libs-devel,gdk-pixbuf-devel
Obsoletes: ami-gnome

%description
Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.
Gnome applet mode binary is available from the separate packages

%if %{gnome_ami}
%package gnome
Summary: Korean IMS AMI, GNOME Applet mode
Group: Applications/Communications
BuildRequires: gnome-core-devel gdk-pixbuf-devel

%description gnome
Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.
this package contains gnome applet mode binary of AMI

%endif
%prep
%setup -n ami-%{ver} -a 2 -a 3
%patch0 -p1 -b .nostat
%patch1 -p1 -b .hanjiwindow

# included for U8
%patch2 -p1 -b .hanjawindow
%patch4 -p1 -b .keyevent
%patch5 -p1 -b .bigendian
#%patch6 -p1 -b .ximclient1
#%patch7 -p1 -b .ximclient2
%patch8 -p1 -b .z64ximclient

%build
%if %{gnome_ami}
%configure --with-hangul-keyboard=2 --enable-gnome-applet
make
cp src/ami src/ami_applet
make clean
%endif

%configure --with-hangul-keyboard=2

## FIXME seems to have perl issues with UTF-8
export LANG=en_US.ISO-8859-1
make
make -C hanjadic
make -C hanja-words-%{hwdver}
export LANG=en_US.UTF-8

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
%if %{gnome_ami}
install -s -m 755 src/ami_applet ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}/etc/CORBA/servers
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applets/Utility
install -m 644 ami.desktop ${RPM_BUILD_ROOT}%{_datadir}/applets/Utility
install -m 644 ami.gnorba ${RPM_BUILD_ROOT}/etc/CORBA/servers
%endif
                                                                                
#Line added to make sure that hangul_keyboard files are there in case of ami used by itself#
                                                                                
mkdir -p ${RPM_BUILD_ROOT}/usr/share/hangul_keyboard
                                                                                
install -m444 keyboard/*.kbd ${RPM_BUILD_ROOT}/usr/share/hangul_keyboard
install -m444 keyboard/*.map ${RPM_BUILD_ROOT}/usr/share/hangul_keyboard

#Installing ko.po
mkdir -p ${RPM_BUILD_ROOT}/usr/share/locale/ko/LC_MESSAGES
                                                                                
install -m 644 po/ko.gmo ${RPM_BUILD_ROOT}/usr/share/locale/ko/LC_MESSAGES/ami.mo
                                                                                

(cd $RPM_BUILD_ROOT%{_bindir}; ln -sf ami wmami)
install -s -m 755 hanjadic/hanja_hwp2ami $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 src/ami $RPM_BUILD_ROOT%{_bindir}
for i in pix/*; do
    mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/ami/$i
    if [ -d $i ]; then
      install -m 644 $i/* ${RPM_BUILD_ROOT}%{_datadir}/ami/$i
    fi
done
install -m 644 gtkrc $RPM_BUILD_ROOT%{_datadir}/ami

install -m 644 hanja-words-%{hwdver}/output/ami.dic \
    ${RPM_BUILD_ROOT}%{_datadir}/ami/cwryu.dic
gzip -dc %{SOURCE1} > ${RPM_BUILD_ROOT}%{_datadir}/ami/default.dic
(cd ${RPM_BUILD_ROOT}%{_datadir}/ami; ln -sf cwryu.dic hanja.dic)

cp -f ami.kdelnk ami.desktop
desktop-file-install --vendor net                           \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Red-Hat-Extra                            \
  --add-category Application                                \
  --add-category Utility                                    \
  ami.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(missingok) %{_datadir}/hangul_keyboard
%{_bindir}/ami
%{_bindir}/wmami
%{_bindir}/hanja_hwp2ami
%{_datadir}/ami
%{_datadir}/applications
%lang(ko) %{_datadir}/locale/ko/LC_MESSAGES/ami.mo
%doc README COPYING ChangeLog AUTHORS THANKS

%if %{gnome_ami}
%files gnome
%defattr(-,root,root)
%{_bindir}/ami_applet
%{_datadir}/applets/Utility/ami.desktop
/etc/CORBA/servers/ami.gnorba
%endif

%changelog
* Thu Aug 31 2006 X/OS Linux Team <xoslinux@xos.nl> 1.2.2-6.EL.1.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on ami-1.2.2-6.EL.1.src.rpm
  (md5sum of original source rpm: 91f44cba27d37dfc3c6401a00179518c).

* Wed Apr 19 2006 Lawrence Lim <llim@redhat.com> 1.2.2-6.EL.1
- added series of patches courtesy of IBM
  - ami-1.2.2-3-close-hanja-win.patch to fix strange behavior by XmbRestIC with Hanja window (#161130)
  - ami-1.2.2-keyevent.patch to fix ami key events are out of order (#163261)
  - ami-1.2.2-bigendian64.patch to ami being killed during Korean input operation and ami on z64 (#162736, #164143)
  - ami-1.2.2-LTC16789.patch to fix XIM server does not work correctly with Xclient(s390x) (#164410)

* Tue Jul 26 2005 Leon Ho <llch@redhat.com> 1.2.2-6.EL
- fixed segmentation fault with Hanja window (RH#163000)

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Mon Feb 24 2003 David Joo <djoo@redhat.com>
- bug fix 84940

* Thu Feb 20 2003 David Joo <djoo@redhat.com>
- updated to 1.2.2
- bugfix of #84659
- upstream bugfixes on some of korean inputs
- Ami version number scheme changed

* Wed Feb 05 2003 David Joo <djoo@redhat.com>
- updated to 1.2.1
- utf-8 support

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 17 2002 David Joo <djoo@redhat.com>
- UTF-8 Patch has been applied

* Tue Nov 19 2002 Tim Powers <timp@redhat.com>
- rebuild on all arches

* Tue Aug 27 2002 Bill Nottingham <notting@redhat.com>
- obsolete ami-gnome

* Wed Aug 21 2002 Havoc Pennington <hp@redhat.com>
- move .desktop file from /usr/share/applnk

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- disable gnome applet

* Fri Mar 15 2002 David Joo <djoo@redhat.com>
- RPMLINT error fix

* Fri Mar 15 2002 David Joo <djoo@redhat.com>
- Tidying up spec file

* Thu Mar 14 2002 David Joo <djoo@redhat.com>
- Bug fix for #59186

* Thu Jan 31 2002 David Joo <djoo@redhat.com>
- Rebuilt for Hampton

* Mon Jul 23 2001 Yukihiro Nakai <ynakai@redhat.com>
- Fix BuildPrereq line. (#49357)

* Fri Jun 29 2001 Yukihiro Nakai <ynakai@redhat.com>
- changed the rquirements
- Delete Korean description (should be in specspo.)

* Thu Jun 28 2001 Tim Powers <timp@redhat.com>
- chenged the reuirements to be build reuires

* Mon Jun 25 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 1.0.11
- Add Requires macro to depend

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- fixed the bad/non existing group for the ami-gnome package

* Wed Jan 03 2001 Yukihiro Nakai <ynakai@redhat.com>
- Apply fix from KANG SHIN-SUK
- Add gnome_ami macro
- Add gtk themes for ami_applet
- Add no status patch

* Tue Dec 19 2000 Yukihiro Nakai <ynakai@redhat.com>
- Group fix.

* Mon Dec 18 2000 Yukihiro Nakai <ynakai@redhat.com>
- Update to 1.0.8

* Sun Dec 02 2000 Yukihiro Nakai <ynakai@redhat.com>
- Get .spec from the Ami official site.
- Some fixes for 1.0.7.1

* Mon Sep 27 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- some update from sio4@linuxkorea.co.kr

* Mon Sep  13 1999 SiO4, Y7N <sio4@linuxkorea.co.kr>
- update some description.
- make symbolic link of wmami for Windowmaker docking

* Thu Sep  9 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- change name from amirc to gtkrc
- remove Summary(ko). rpm doesn't seem to be friendly with hangul yet.

* Mon Aug  9 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- rename applet package to gnome 
- change the location of ami to /usr/bin instead of /usr/X11R6/bin
- delete hanja.dic from rpm. That will be distributed in the separate package.

* Thu Aug  5 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- specify homepage

* Mon Aug  2 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- sync with new version
- remove obsolete patches
- install hanja-hwp2ami

* Mon Aug  2 1999 SiO4, Y7N <sio4@linuxkorea.co.kr>
- fix RPM group.
- add some patch(default keyboard is 2 bulsik, README mis-spell).
- use --prefix=/usr option and remove gnome option for KDE users.
- move applet mode binary to individual package(ami-applet) for gnome users.
  split another package for data(hanja.dic)?
- added some entries on SPEC for korean users.

* Mon Aug  2 1999 HyunChul Kim, <mindgame@postech.ac.kr>
- initial package

